Bug 59586 - EDITING: Missing comma in particular PDF file (regression)
Summary: EDITING: Missing comma in particular PDF file (regression)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: Other Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.1.0 target:4.0.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-01-19 14:22 UTC by webofht-libreofficebugs002
Modified: 2013-01-25 15:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
PDF files and screenshots showing the file in LibreOffice and Adobe Reader (942.63 KB, application/zip)
2013-01-19 14:22 UTC, webofht-libreofficebugs002
Details

Note You need to log in before you can comment on or make changes to this bug.
Description webofht-libreofficebugs002 2013-01-19 14:22:59 UTC
Created attachment 73290 [details]
PDF files and screenshots showing the file in LibreOffice and Adobe Reader

Problem description: In a particular PDF file created by LibreOffice Version 4.0.0.1, a comma is missing. In LibreOffice Version 3.6.4.3, the comma is present. This is a software regression.

Steps to reproduce:
1. The operating system used is Linux debian 2.6.32-5-686 #1 SMP Sun Sep 23 09:49:36 UTC 2012 i686 GNU/Linux.
2. The LibreOffice versions involved are:
- LibreOffice Version 3.6.4.3 (Build ID: 2ef5aff) (LO3.6.4.3)
- LibreOffice Version 4.0.0.1 (Build ID: 527dba6f6e0cfbbc71bd6e7b88a52699bb48799) (LO4.0.0.1)
3. The document involved is:

http://khesa.evta.gov.tw/upload/attachment/b49f3a13a65472ee91515b8acf69289c.odt


4. File -> Open -> (that document)
5. File -> Export as PDF -> PDF/A-1a -> Pages -> 8 -> Export
6. Use DiffPDF to compare the PDF files of the same document. 
7. Copy and paste the text in a text editor to see the difference.
8. On page eight of the PDF files in Adobe Reader, the lines appear like this:

LO4.0.0.1 
較,除65 歲及以上年齡組之失業率下降0.16 %外,其餘年齡組失業率均呈上升


LO3.6.4.3 
較,除65 歲及以上年齡組之失業率下降0.16 %外,其餘年齡組失業率均呈上升,

9. To view that page in LO4.0.0.1 or LO3.6.4.3, View -> Navigator -> page 9  (not page 8)

10. The comma appears in both LO4.0.0.1 and LO3.6.4.3.

Current behavior: A comma is missing at the end of a line in the PDF file created by LO4.0.0.1.

Expected behavior: The comma should be present at the end of a line in the PDF file created by LO4.0.0.1.


I am submitting the screenshots and the PDF files.

Regards,
C. H. D.
Operating System: Debian
Version: 4.0.0.1 rc
Last worked in: 3.6.4.3 release
Comment 1 m.a.riosv 2013-01-19 22:44:20 UTC
Hi webofht,

Replicated:
Win7x64 Ultimate.
Version 4.0.0.1 (Build ID: 527dba6f6e0cfbbc71bd6e7b88a52699bb48799)

Changing in 4.0 the option in Menu/Tools/Options/LibreOffice write/Compatibilities/Use printer metrics for document formatting, get to shows the comma in the pdf.
Comment 2 Michael Stahl (CIB) 2013-01-23 22:22:31 UTC
bibisect says broken in 5695aea3bbe719881177b35c805920bee608751b..13cb9d9d1ac672d6ef22cee98237b0285e03cda3 

regression from:

commit d9e4c74811855de15f1bf2045c2c9b061a2d4dc6
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Tue Jun 19 13:48:45 2012 +0100

    merge together hand-crafted traditional/simplified chinese tests
    
    merge together a gadzillion hand-crafted
    isSimpleChinese/isTraditionalChinese/isKoreanVariants/isCJK
    implementations which should fix a goodly amount of them
    
    add a MsLangId::isFamilyNameFirst for locales where
    family name appears first while I'm at it.
Comment 3 Not Assigned 2013-01-24 12:33:34 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e029e7394b972fd72930c8c475f3768dd99fe673

Resolves: fdo#59586 Missing comma in particular PDF file



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2013-01-24 13:34:13 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3a0e72261419554d0cd3984a0e8f800ed587d49&h=libreoffice-4-0

Resolves: fdo#59586 Missing comma in particular PDF file


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2013-01-24 13:55:01 UTC
will try and get it into 4.0.0 as well
Comment 6 Not Assigned 2013-01-25 15:02:38 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80a9fe652bff8fb9ff6e010a29f24a0afc362ea7&h=libreoffice-4-0-0

Resolves: fdo#59586 Missing comma in particular PDF file


It will be available already in LibreOffice 4.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.